#
# spec file for package dump
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dump
BuildRequires:  automake
BuildRequires:  e2fsprogs-devel
BuildRequires:  libselinux-devel
BuildRequires:  readline-devel
BuildRequires:  zlib-devel
Version:        0.4b43
Release:        21.1
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-pathnames.patch
Patch1:         %{name}-%{version}-destdir.patch
Patch2:         %{name}-%{version}-configure.patch
Patch3:         %{name}-%{version}-include.patch
Patch4:         dump-0.4b43-hole_handlig.patch
Url:            http://dump.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A Backup Program
License:        BSD-3-Clause
Group:          Productivity/Archiving/Backup
Requires:       rmt

%description
The dump package contains both dump and restore.  Dump examines files
in a file system, determines which ones need to be backed up, and
copies those files to a specified disk, tape, or other storage medium. 
The restore command performs the inverse function of dump. It can
restore a full backup of a file system.

%prep
%setup
#mkdir ext2fs
#sed -e "s|ino_t|__ino_t|g" /usr/include/ext2fs/ext2fs.h >ext2fs/ext2fs.h
%patch0
%patch1
%patch2
%patch3
%patch4 -p1

%build
%define prefix   /usr
%define sysconfdir /etc
aclocal
autoconf
%configure --sbindir=/sbin \
                --enable-rmt \
		--with-ldopts= \
                --with-ccopts="-I$PWD -Wall" \
                --with-binowner=root \
		--with-bingrp=root \
		--with-binmode=0755 \
	        --with-manowner=root \
		--with-mangrp=root \
		--with-manmode=0644 \
		--enable-readline \
		--enable-largefile
make %{?_smp_mflags}

%install
install -d $RPM_BUILD_ROOT/etc \
           $RPM_BUILD_ROOT/sbin \
           $RPM_BUILD_ROOT/%{_mandir}/man8
make DESTDIR=$RPM_BUILD_ROOT/ install
#do not install rmt
#ln -sf ../sbin/rmt $RPM_BUILD_ROOT/etc/rmt
rm $RPM_BUILD_ROOT/sbin/rmt
rm $RPM_BUILD_ROOT/%{_mandir}/man8/rmt.*

%files
%defattr(-, root, root)
%doc %{_mandir}/*/*
/sbin/*
%doc CHANGES COPYRIGHT KNOWNBUGS MAINTAINERS README REPORTING-BUGS
%doc THANKS TODO dump.lsm examples

%changelog
* Tue May 23 2017 kstreitova@suse.com
- add dump-0.4b43-hole_handlig.patch to fix incorrect hole handling
  in traverse.c [bsc#1034032]
* Sat Jan 12 2013 coolo@suse.com
- remove suse_update_config
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Thu Sep 30 2010 nadvornik@suse.cz
- updated to 0.4b43
  * ext4 support
  * selinux improvements
  * bugfixes, see CHANGES file
* Sat Mar 31 2007 rguenther@suse.de
- add zlib-devel BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 schwab@suse.de
- Don't strip binaries.
* Tue Jan  3 2006 nadvornik@suse.cz
- updated to 0.4b41
  * ACL fixes
* Mon Jul 25 2005 nadvornik@suse.cz
- do not install rmt
* Fri Jul 15 2005 nadvornik@suse.cz
- updated to 0.4b40
  * support for extended attributes (ACL)
* Tue Apr 19 2005 nadvornik@suse.de
- fixed including of linux/fs.h
* Tue Jan 25 2005 nadvornik@suse.cz
- updated to 0.4b39
* Wed Sep  1 2004 nadvornik@suse.cz
- updated to 0.4b37
* Tue Jun  1 2004 ro@suse.de
- avoid inclusion of linux/audit.h
* Tue Feb 10 2004 kukuk@suse.de
- Fix compiling on 64bit architectures
* Thu Feb  5 2004 nadvornik@suse.cz
- updated to 0.4b35
* Fri Aug  1 2003 nadvornik@suse.cz
- fixed to compile on x86_64
* Wed Jul 23 2003 nadvornik@suse.cz
- update to 0.4b34, fixes [#27810]
* Mon Feb 17 2003 nadvornik@suse.cz
- updated to 0.4b33
* Thu Aug 29 2002 nadvornik@suse.cz
- updated to 0.4b31:
  - fixed rmt open flags transmission (remote dump was broken in 0.4b29)
  - fixed the tape length calculation when using large tapes and compression
  - made dump save 32 bit UID/GID
* Tue Jul  2 2002 nadvornik@suse.cz
- updated to 0.4b29
  - bugfixes
  - more examples
* Thu Apr 18 2002 nadvornik@suse.cz
- updated to 0.4b28
  - bugfixes
  - do not include kernel haders
- compiled with readline
* Tue Apr  2 2002 nadvornik@suse.cz
- fixed to compile with new autoconf
* Wed Jan 30 2002 nadvornik@suse.cz
- update to 0.4b26:
  - more examples
  - bugfixes
* Mon Jan  7 2002 nadvornik@suse.cz
- added link /etc/rmt -> /sbin/rmt for compatibility [bug #12615]
* Thu Nov 22 2001 nadvornik@suse.cz
- update to 0.4b25:
  - more documentation
  - added bzip2 compression
  - suport for backups to CD
  - bugfixes
* Fri Aug 17 2001 nadvornik@suse.cz
- added fix for traverse.c
* Wed Aug 15 2001 ro@suse.de
- up to 0.4b23 to make it build with new e2fsprogs
* Tue Feb 27 2001 nadvornik@suse.cz
- update to 0.4b21
* Thu Feb 22 2001 ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Feb 22 2001 schwab@suse.de
- Fix missing includes.
- Replace ino_t by __ino_t instead of unsigned int.
- Don't kill entire process group on crash.
* Fri Feb  9 2001 uli@suse.de
- fixed for glibc 2.2.1
* Thu Jan 11 2001 nadvornik@suse.cz
- added lfs patch
* Tue Dec  5 2000 smid@suse.cz
- path to rmt changed [#4306]
* Sun Dec  3 2000 smid@suse.cz
- new version 0.4b20
* Wed Nov  8 2000 ro@suse.de
- fixed neededforbuild
* Fri Sep 29 2000 smid@suse.cz
- new version 0.4b19
* Fri Apr  7 2000 smid@suse.cz
- upgrade to 0.4b16
- buildroot added
* Thu Mar  2 2000 kukuk@suse.de
- Update to version 0.4b15 and correct security fix
* Thu Feb 10 2000 kukuk@suse.de
- Update to version 0.4b14
* Sun Jan 30 2000 kukuk@suse.de
- Update to version 0.4b13
- Move /usr/man -> /usr/share/man
* Mon Dec  6 1999 kukuk@suse.de
- Update to version 0.4b11 (BUG #1448)
- Fix dump manual page (BUG #1367)
* Sat Nov 13 1999 kukuk@suse.de
- Compile without ext2fs progs, but use ext2fs development package
* Mon Nov  8 1999 kukuk@suse.de
- Security update for dump to 0.4b9
* Fri Oct 29 1999 ro@suse.de
- fixed spec for e2fsprogs-1.17
* Sun Oct 24 1999 ro@suse.de
- fixed spec for e2fsprogs-1.16
* Mon Oct 18 1999 kukuk@suse.de
- Update to version 0.4b7
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 31 1999 ro@suse.de
- changed for e2fsprogs-1.15 / only do install-lib
* Sat Jun 26 1999 kukuk@suse.de
- Update to dump 0.4b4
* Tue Sep  1 1998 ro@suse.de
- use e2fsprgs-1.12-sources / dont use -lbsd
* Mon Oct 20 1997 ro@suse.de
- ready for autobuild
  minor patch in dump/traverse.c
* Thu Jan  2 1997 florian@suse.de
- recompile to use newer and static ext2 libraries
